### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
HestonModel Class Reference

Heston model for the stochastic volatility of an asset. More...

`#include <ql/models/equity/hestonmodel.hpp>`

Inheritance diagram for HestonModel:
[legend]

List of all members.

## Public Member Functions

| HestonModel (const boost::shared_ptr< HestonProcess > &process)
Real | theta () const
Real | kappa () const
Real | sigma () const
Real | rho () const
Real | v0 () const
boost::shared_ptr< HestonProcess > | process () const

## Protected Member Functions

void | generateArguments ()

## Protected Attributes

boost::shared_ptr< HestonProcess > | process_

## Detailed Description

Heston model for the stochastic volatility of an asset.

References:

Heston, Steven L., 1993. A Closed-Form Solution for Options with Stochastic Volatility with Applications to Bond and Currency Options. The review of Financial Studies, Volume 6, Issue 2, 327-343.

Tests:
  calibration is tested against known good values.

Examples:
  EquityOption.cpp.